Suricata SC_ERR_NOT_SUPPORTED(225) for Eve-log support

Support for security such as Firewalls and securing linux
Post Reply
OtagoHarbour
Posts: 30
Joined: 2014/05/10 11:35:34

Suricata SC_ERR_NOT_SUPPORTED(225) for Eve-log support

Post by OtagoHarbour » 2014/10/01 01:50:26

ValI have just installed installed Suricata 2.0.3 RELEASE on CentOS 6.5. I try running it with

Code: Select all

sudo suricata -c /etc/suricata/suricata.yaml -i eth0
and get the following warning

Code: Select all

<Warning> - [ERRCODE: SC_ERR_NOT_SUPPORTED(225)] - Eve-log support not compiled in. Reconfigure/recompile with libjansson and its development files installed to add eve-log support.
I compilied and install Jannson as outlined here and then rebuilt Suricata as follows.

Code: Select all

sudo make
sudo make-install
sudo make-install-full
and everything proceeded without any errors. However I still get the SC_ERR_NOT_SUPPORTED warning. I did a search for the error message and found a link that said it was a known issue that won't be fixed due to an issue with the Jannson library. Is this the case? If so, can I disable this warning?

Post Reply

Return to “CentOS 7 - Security Support”